package org.databinding.start;

import org.databinding.websocket.Servlet;
import org.eclipse.jetty.server.Handler;
import org.eclipse.jetty.server.Server;
import org.eclipse.jetty.server.handler.ContextHandler;
import org.eclipse.jetty.server.handler.HandlerList;
import org.eclipse.jetty.server.handler.ResourceHandler;
import org.eclipse.jetty.servlet.ServletContextHandler;
import org.eclipse.jetty.servlet.ServletHolder;

public class WebSocketServerLauncher {

	public static void main(String[] args) throws Exception {
		Server server = new Server(8888);

		ServletContextHandler servletHandler = new ServletContextHandler(
				ServletContextHandler.SESSIONS);
		servletHandler.setContextPath("/");
		
		servletHandler.addServlet(new ServletHolder(new Servlet()),
				"/WebSocketServer/WSServlet/*");
		
		ResourceHandler resourceHandler = new ResourceHandler();
		resourceHandler.setResourceBase("c:/temp/jetty_deploy/");
		resourceHandler.setDirectoriesListed(true);
		
		ContextHandler contextHandler = new ContextHandler();
		contextHandler.setContextPath("/static");
		contextHandler.setHandler(resourceHandler);

		HandlerList handlers = new HandlerList();
		handlers.setHandlers(new Handler[] { servletHandler, contextHandler });
		server.setHandler(handlers);
		
		server.start();
		server.join();
	}
}