package org.databinding.util;

import java.util.HashMap;

public class PrimitiveWrapperConverter {

	@SuppressWarnings("rawtypes")
	private static HashMap<Class, Class> primitiveToWrapper = new HashMap<Class, Class>();
	@SuppressWarnings("rawtypes")
	private static HashMap<Class, Class> wrapperToPrimitive = new HashMap<Class, Class>();

	// static initializer block
	static {
		primitiveToWrapper.put(byte.class, Byte.class);
		primitiveToWrapper.put(short.class, Short.class);
		primitiveToWrapper.put(int.class, Integer.class);
		primitiveToWrapper.put(long.class, Long.class);
		primitiveToWrapper.put(float.class, Float.class);
		primitiveToWrapper.put(double.class, Double.class);
		primitiveToWrapper.put(char.class, Character.class);
		primitiveToWrapper.put(boolean.class, Boolean.class);

		wrapperToPrimitive.put(Byte.class, byte.class);
		wrapperToPrimitive.put(Short.class, short.class);
		wrapperToPrimitive.put(Integer.class, int.class);
		wrapperToPrimitive.put(Long.class, long.class);
		wrapperToPrimitive.put(Float.class, float.class);
		wrapperToPrimitive.put(Double.class, double.class);
		wrapperToPrimitive.put(Character.class, char.class);
		wrapperToPrimitive.put(Boolean.class, boolean.class);
	}

	@SuppressWarnings("rawtypes")
	public static Class getWrapper(Class primitive) {
		return primitiveToWrapper.get(primitive);
	}

	@SuppressWarnings("rawtypes")
	public static Class getPrimitive(Class wrapper) {
		return wrapperToPrimitive.get(wrapper);
	}

}
