package org.databinding.websocket;

import java.io.IOException;
import java.util.Set;
import java.util.concurrent.CopyOnWriteArraySet;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.eclipse.jetty.websocket.WebSocket;
import org.eclipse.jetty.websocket.WebSocketServlet;

public class Servlet extends WebSocketServlet {
	private static final long serialVersionUID = 1L;
	private final Set<Socket> members = new CopyOnWriteArraySet<Socket>();

	public Servlet() {
		super();
	}

	@Override
	public void init() throws ServletException {
		super.init();

	}

	public Set<Socket> getMembers() {
		return members;
	}

	public boolean addMember(Socket ws) {
		if (members.contains(ws)) {
			return false;
		}
		members.add(ws);
		return true;
	}

	public boolean removeMember(Socket ws) {
		if (members.contains(ws)) {
			members.remove(ws);
			return true;
		}
		return false;
	}

	protected void doGet(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
	}

	protected void doPost(HttpServletRequest request,
			HttpServletResponse response) throws ServletException, IOException {
		getServletContext().getNamedDispatcher("default").forward(request,
				response);

	}

	protected WebSocket doWebSocketConnect(HttpServletRequest request,
			String protocol) {

		return new Socket(this, request.getSession());
	}

}
